Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.00.00 - v2.02.00 Distro
Author Message
Nash
Regular
Regular


Joined: Jan 10, 2006
Posts: 93

PostPosted: Sat Feb 25, 2006 7:29 pm Reply with quote

I'm in the process of upgrading to Raven's new version here from my old ChatServ-patched 7.1.

Since I already have Nuke installed and running with loads of members and content, I obviously want to use the upgrade scripts rather than installing the whole db again. Question though. Are there going to be problems since I did not previously have sentinel (and other Raven Add-ons) installed?
 
View user's profile Send private message
Nash
PostPosted: Sun Feb 26, 2006 3:46 am Reply with quote

So the answer to this question is that yes, you do need to take additional steps. What I have done is run the newest sentinel install script after upgrading my site.

Another issue I'm having now is that my googletap links don't work (even though I re-modded my files so that they should work. I will search for how to do this and if I don't find anything I'll post a question.
 
FireATST
RavenNuke(tm) Development Team


Joined: Jun 12, 2004
Posts: 637
Location: Ohio

PostPosted: Sun Feb 26, 2006 6:48 am Reply with quote

Nash, sorry for the delay getting back to you. The upgrade scripts here are for upgrading from 1.0.* version to the next level of RN. Now, my understanding is that RN is the basic 7.6 php nuke with the latest chatserv patches, and NukeSentinel already added, so in theory, other than the changes to certain 3rd party mods and stuff you really shouldn't have any more trouble than if you were upgrading to the basic phpnuke 7.6 from 7.1 as long as it is all done in the proper order. This is my take on it, I am sure that the fine peeps here will correct me on this if I am mistaken.
 
View user's profile Send private message Visit poster's website MSN Messenger ICQ Number
Dawg
RavenNuke(tm) Development Team


Joined: Nov 07, 2003
Posts: 910

PostPosted: Sun Feb 26, 2006 8:36 am Reply with quote

Well....In Theory anyway you would upgrade from 7.1 to 7.2 to 7.3 to 7.4 to 7.5 to 7.6 patched 3.1. At that point you would jump from 7.6 to RN.

I have a 7.2 site myself with a ton of mods. My plan is to wait for the next RN to come out. It will have Gallery2 and some other cool stuff built in. At that point I am going to install all of my current Modules on RN....then take my 7.2 database and through phpmyadmin manualy move the tables from old to new.

I am sure there will be some problems along the way. Most can be fixed pretty easy. If I can not figure them out....I will come here and ask! LOL!

Good Luck and I would love to hear what you decide to do and how it comes out!

Dawg
 
View user's profile Send private message
Nash
PostPosted: Sun Feb 26, 2006 11:40 am Reply with quote

Hey guys, thanks for the info.

What I did was run the SQL upgrades from 7.1-7.2 ... -7.6. However, for some reason I don't think all the Sentinel tables got inserted properly in there, so I just downloaded the Sentinel install files and ran the db install functions over what I already had. That seemed to fill in any missing pieces.

GoogleTap code needed to be reinserted into the php files obviously, so I'm doing that. I have GoogleTap working pretty much. The only part that's buggy is that coppermine photo gallery is no longer loading for some reason, so I need to investigate that. I also want to see if there is a newer version of GoogleTap or Coppermine out.

I have some other custom code I need to re-add. Also I believe there are some new security issues I need to custom fix (the war-axe script?) or is that automatically in the latest Raven full release?

Thanks.

Only registered users can see links on this board! Get registered or login!

That is the site.
 
FireATST
PostPosted: Sun Feb 26, 2006 12:41 pm Reply with quote

Good to hear it is going pretty good. In the forums here are several posts about Coopermine and its vulnerablities. You may want to search for them and see what, if any, might apply to your situation.
 
Dawg
PostPosted: Sun Feb 26, 2006 11:24 pm Reply with quote

Nash,

Do you still have the download links for the files for the upgrade. It would be nice to have all the links needed to upgrade right here in this thread for future reference. YOu could help a bunch folks out I am sure.

Dawg
 
Nash
PostPosted: Mon Feb 27, 2006 12:35 am Reply with quote

Hey Dawg,

For the files I just downloaded the latest patched 7.6 phpnuke from here and the latest sentinel. I have an instruction sheet I made up for myself last time I upgraded about mods I have in my files so I'm moving through that now.
 
Dawg
PostPosted: Mon Feb 27, 2006 1:00 am Reply with quote

Nash,

Are you on 7.6 patched 3.1 or on the RN version?

Dawg
 
Nash
PostPosted: Mon Feb 27, 2006 7:42 am Reply with quote

Dawg wrote:
Nash,

Are you on 7.6 patched 3.1 or on the RN version?

Dawg


RN 7.6 v.2.02
 
Nash
PostPosted: Fri Mar 31, 2006 12:58 pm Reply with quote

Yeah so an update to this thread is that I do have some SQL problems that I'm investigating on the forums now.

I can't edit my blocks and my coppermine database doesn't show up at all.

I am posting this here so that the info in the thread is more complete.
 
Nash
PostPosted: Fri Mar 31, 2006 1:47 pm Reply with quote

Hey,

So when I ran the code in this file "rn76_nsngroups.sql", I was able to again edit blocks.

I am still confused about why my Coppermine gallery doesn't work though. Any thoughts or links to topics would be appreciated. I'm digging into the SQL a bit now and I looked at the Coppermine code but for the most part I have no ideas.

Thanks.
 
Nash
PostPosted: Wed Apr 05, 2006 8:12 am Reply with quote

Fixed this, see my "Coppermine Issues" post

Only registered users can see links on this board! Get registered or login!
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> Raven's RavenNuke(tm) v2.00.00 - v2.02.00 Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©